Subject: Re: Resolution of design issues identified during IESG Review

From: Magnus Westerlund <[email-masked]>
Date: Tue, 2 Feb 2021 14:17:20 +0000

IESG and QUIC WG,

I have reviewed the changes on the four drafts:
 - draft-ietf-quic-transport-34
 - draft-ietf-quic-tls-34
 - draft-ietf-quic-recovery-34
 - draft-ietf-quic-invariants-13

The changes done to resolve IESG comments looks good to me. All discusses are
resolved and WG and ADs have had two weeks to review these changes. Therefore I
intended to approve these documents tomorrow. Last chance to cry foul on the
changes. 

Cheers

Magnus Westerlund

On Wed, 2021-01-13 at 11:32 +0200, Lars Eggert wrote:
> Hi,
> 
> in response to the IESG Review of the QUIC transport, tls, recovery and
> invariants documents, individual GitHub issues were opened and the documents
> moved to the "Revised I-D Needed" state. (The HTTP/3 and QPACK IESG reviews
> will happen at a later date.)
> 
> The editors have been hard at work triaging and responding to the issues.
> Thanks to a concerted effort, most of the issues have already been resolved.
> Some were deemed to require no action and have been closed, some were
> Editorial issues that have been addressed by PRs that have been merged into
> the working copies. The remaining issues have been identified as Design
> issues, see 
> https://protect2.fireeye.com/v1/url?k=34fb3176-6b600832-34fb71ed-861d41abace8-e6cc1f73adc0dca0&q=1&e=fb1b179c-5110-4618-8180-5eaf36a4cd47&u=https%3A%2F%2Fgithub.com%2Fquicwg%2Fbase-drafts%2Fissues%3Fq%3Dis%253Aissue%2Bis%253Aopen%2Blabel%253Adesign%2B-label%253Acall-issued
> 
> As previously mentioned, we are boosting the visibility of these Design issues
> in order to allow the WG and the IESG to comment on the proposed resolutions:
> 
> * Martin Duke Transport Comment 2 - 
> https://protect2.fireeye.com/v1/url?k=49168326-168dba62-4916c3bd-861d41abace8-2c75365ccb611f03&q=1&e=fb1b179c-5110-4618-8180-5eaf36a4cd47&u=https%3A%2F%2Fgithub.com%2Fquicwg%2Fbase-drafts%2Fissues%2F4453
>   The proposed resolution is 
> https://protect2.fireeye.com/v1/url?k=1004be2e-4f9f876a-1004feb5-861d41abace8-3c2d45424051bf35&q=1&e=fb1b179c-5110-4618-8180-5eaf36a4cd47&u=https%3A%2F%2Fgithub.com%2Fquicwg%2Fbase-drafts%2Fpull%2F4696
> 
> * Robert Wilton Invariants Discuss 1 - 
> https://protect2.fireeye.com/v1/url?k=e68f53da-b9146a9e-e68f1341-861d41abace8-0b345fc8a58ed1cf&q=1&e=fb1b179c-5110-4618-8180-5eaf36a4cd47&u=https%3A%2F%2Fgithub.com%2Fquicwg%2Fbase-drafts%2Fissues%2F4468
>   The proposed resolution is to close with no action.
> 
> * Ben Kaduk's TLS Discuss 1 - 
> https://protect2.fireeye.com/v1/url?k=4b2dda7b-14b6e33f-4b2d9ae0-861d41abace8-9dc52f86167cdab7&q=1&e=fb1b179c-5110-4618-8180-5eaf36a4cd47&u=https%3A%2F%2Fgithub.com%2Fquicwg%2Fbase-drafts%2Fissues%2F4475
>   The proposed resolution is 
> https://protect2.fireeye.com/v1/url?k=80a18832-df3ab176-80a1c8a9-861d41abace8-2d65d2a2aeb9a072&q=1&e=fb1b179c-5110-4618-8180-5eaf36a4cd47&u=https%3A%2F%2Fgithub.com%2Fquicwg%2Fbase-drafts%2Fpull%2F4689
> 
> * Ben Kaduk's TLS Comment 9 - 
> https://protect2.fireeye.com/v1/url?k=20888ede-7f13b79a-2088ce45-861d41abace8-2a92b06a9a586c25&q=1&e=fb1b179c-5110-4618-8180-5eaf36a4cd47&u=https%3A%2F%2Fgithub.com%2Fquicwg%2Fbase-drafts%2Fissues%2F4485
>   The proposed resolution is 
> https://protect2.fireeye.com/v1/url?k=37441b40-68df2204-37445bdb-861d41abace8-2de2d8090eefd12f&q=1&e=fb1b179c-5110-4618-8180-5eaf36a4cd47&u=https%3A%2F%2Fgithub.com%2Fquicwg%2Fbase-drafts%2Fpull%2F4570%23
> 
> * Éric Vyncke's Transport Comment 2 - 
> https://protect2.fireeye.com/v1/url?k=0f12ee1c-5089d758-0f12ae87-861d41abace8-d8704dcb9084e4d9&q=1&e=fb1b179c-5110-4618-8180-5eaf36a4cd47&u=https%3A%2F%2Fgithub.com%2Fquicwg%2Fbase-drafts%2Fissues%2F4525
>   The proposed resolution is to close with no action.
> 
> * Éric Vyncke's Transport Comment 4 - 
> https://protect2.fireeye.com/v1/url?k=377482f9-68efbbbd-3774c262-861d41abace8-230cdad9661b9be7&q=1&e=fb1b179c-5110-4618-8180-5eaf36a4cd47&u=https%3A%2F%2Fgithub.com%2Fquicwg%2Fbase-drafts%2Fissues%2F4527
>   The proposed resolution is to close with no action.
> 
> * Éric Vyncke's Transport Comment 13 - 
> https://protect2.fireeye.com/v1/url?k=a4a59b3a-fb3ea27e-a4a5dba1-861d41abace8-5ef28612749351c1&q=1&e=fb1b179c-5110-4618-8180-5eaf36a4cd47&u=https%3A%2F%2Fgithub.com%2Fquicwg%2Fbase-drafts%2Fissues%2F4536
>   The proposed resolution is 
> https://protect2.fireeye.com/v1/url?k=5f991cb7-000225f3-5f995c2c-861d41abace8-c8022245e5d02b9d&q=1&e=fb1b179c-5110-4618-8180-5eaf36a4cd47&u=https%3A%2F%2Fgithub.com%2Fquicwg%2Fbase-drafts%2Fpull%2F4471
> 
> The editors are ready to land the proposed resolutions and release version -34
> of transport, tls, recovery and invariants documents so that we can present
> them back to the IESG so that the remaining DISCUSSes can be formally lifted.
> 
> Rather than issuing a WG consensus call for the above design issues, we plan
> to action the proposed resolutions, mark the issues as "call-issued" and leave
> them open until the IESG confirms that it is happy, in order for further
> comments to accumulate.
> 
> Cheers
> Lars & Lucas
> QUIC WG Co-chairs